## kmplayer 0.11.2c

=== CMakeLists.txt ===
project(kmplayer)

SET(KMPLAYER_MAJOR_VERSION "0")
SET(KMPLAYER_MINOR_VERSION "11")
SET(KMPLAYER_PATCH_VERSION "2c")

SET(KMPLAYER_VERSION_STRING
    "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories( ${KDE4_INCLUDES})

if(NOT WIN32)
  OPTION(KMPLAYER_BUILT_WITH_CAIRO "Enable Cairo support" ON)
  OPTION(KMPLAYER_BUILT_WITH_NPP "Build NPP player" ON)
  OPTION(KMPLAYER_BUILT_WITH_EXPAT "Use expat XML parser" OFF)
  INCLUDE(UsePkgConfig)

  if (KMPLAYER_BUILT_WITH_CAIRO)

    PKGCONFIG(cairo CAIROIncDir CAIROLinkDir CAIROLinkFlags CAIROCflags)
    PKGCONFIG(pangocairo PANGOIncDir PANGOLinkDir PANGOLinkFlags PANGOCflags)

    if (CAIROCflags AND PANGOCflags)
        set(KMPLAYER_WITH_CAIRO 1)
    endif (CAIROCflags AND PANGOCflags)
  endif (KMPLAYER_BUILT_WITH_CAIRO)

  if (KMPLAYER_BUILT_WITH_NPP)
    PKGCONFIG(dbus-glib-1 GLibDBusIncDir GLibDBusLinkDir GLibDBusLinkFlags GLibDBusCflags)

    if (GLibDBusCflags)
      set(KMPLAYER_WITH_GDBUS 1)
      PKGCONFIG(gtk+-x11-2.0 GTKIncDir GTKLinkDir GTKLinkFlags GTKCflags)
      PKGCONFIG(gthread-2.0 GThreadIncDir GThreadLinkDir GThreadLinkFlags GThreadCflags)
      if (GTKCflags)
          set(KMPLAYER_WITH_NPP 1)
      endif (GTKCflags)
    endif (GLibDBusCflags)
  endif (KMPLAYER_BUILT_WITH_NPP)

  if (KMPLAYER_BUILT_WITH_EXPAT)
      INCLUDE(FindEXPAT)
      if (EXPAT_FOUND)
          set(KMPLAYER_WITH_EXPAT 1)
      else (EXPAT_FOUND)
          MESSAGE(Expat found)
      endif (EXPAT_FOUND)
  endif (KMPLAYER_BUILT_WITH_EXPAT)

endif(NOT WIN32)


check_include_files(stdint.h HAVE_STDINT_H)

configure_file (config-kmplayer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kmplayer.h )

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(data)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory(po)

=== po/CMakeLists.txt ===
add_subdirectory(bg)
add_subdirectory(ca)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hr)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(ko)
add_subdirectory(ku)
add_subdirectory(lt)
add_subdirectory(lv)
add_subdirectory(mai)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(th)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS_DEBUG "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUG}")
set(CMAKE_CXX_FLAGS_DEBUGFULL "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUGFULL}")
set(CMAKE_CXX_FLAGS_PROFILE "-DDEBUG ${CMAKE_CXX_FLAGS_PROFILE}")

########### next target ###############

SET(optionalCFlags)
SET(optionalLinkFlags)

IF (KMPLAYER_WITH_CAIRO)
    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags} ${PANGOCFlags})
    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags} ${PANGOLinkFlags})
    MESSAGE("have cairo cflags:${optionalCFlags} ldflags:${optionalLinkFlags}")
endif (KMPLAYER_WITH_CAIRO)

add_definitions(-DQT3_SUPPORT -DKDE3_SUPPORT -DKMPLAYER_VERSION_STRING=\\"${KMPLAYER_VERSION_STRING}\\")

ADD_DEFINITIONS(${CAIROCFlags})

include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR} ${CAIROIncDir} ${EXPAT_INCLUDE_DIRS})

set(libkmplayercommon_SRCS
  kmplayerview.cpp
  playlistview.cpp
  kmplayercontrolpanel.cpp
  kmplayerconfig.cpp
  pref.cpp
  kmplayerprocess.cpp
  kmplayerpartbase.cpp
  kmplayerplaylist.cpp
  kmplayer_asx.cpp
  kmplayer_smil.cpp
  kmplayer_rp.cpp
  kmplayer_rss.cpp
  kmplayer_atom.cpp
  kmplayer_xspf.cpp
  expression.cpp
  mediaobject.cpp
  triestring.cpp
  surface.cpp
  viewarea.cpp
)

qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.master.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::MasterProcessInfo)
qt4_add_dbus_adaptor(libkmplayercommon_SRCS
    org.kde.kmplayer.streammaster.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::MasterProcess)
qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.part.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerpartbase.h KMPlayer::PartBase)

if (KMPLAYER_WITH_NPP)
    qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.callback.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::NpPlayer)
    qt4_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.stream.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::NpStream)
endif (KMPLAYER_WITH_NPP)

kde4_add_library(kmplayercommon SHARED ${libkmplayercommon_SRCS})

MESSAGE("extra ${CAIROCflags} ${GLibDBusCflags}  libs ${CAIROLinkFlags} ${GLibDBusLinkFlags}")

SET_TARGET_PROPERTIES(kmplayercommon PROPERTIES COMPILE_FLAGS
    "${CAIROCflags} ${PANGOCflags} ${GLibDBusCflags}")

target_link_libraries(kmplayercommon
  ${CAIROLinkFlags}
  ${PANGOLinkFlags}
  ${GLibDBusLinkFlags}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${X11_X11_LIB}
  ${EXPAT_LIBRARIES}
  ${KDE4_SOLID_LIBS}
  kmediaplayer
)

install(TARGETS kmplayercommon ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

set(kmplayerpart_SRCS kmplayer_part.cpp)

kde4_add_plugin(kmplayerpart WITH_PREFIX ${kmplayerpart_SRCS})

target_link_libraries(kmplayerpart
  kmplayercommon kmediaplayer
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

install(TARGETS kmplayerpart DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kmplayer_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

########### next target ###############

set(kmplayer_SRCS
  kmplayerapp.cpp
  kmplayer_lists.cpp
  kmplayertvsource.cpp
)

#kmplayerbroadcast.cpp
#kmplayervdr.cpp

kde4_add_kdeinit_executable(kmplayer ${kmplayer_SRCS} main.cpp)

target_link_libraries(kdeinit_kmplayer
  kmplayercommon
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

target_link_libraries(kmplayer kdeinit_kmplayer)

install(TARGETS kdeinit_kmplayer  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

#qt4_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)

########### next target ###############

if (KMPLAYER_WITH_NPP)
    MESSAGE("build npp")
    set(knpplayer_SRCS npplayer.cpp)

    add_executable(knpplayer ${knpplayer_SRCS})

    SET_TARGET_PROPERTIES(knpplayer PROPERTIES COMPILE_FLAGS
        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags}"
    )

    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags}
        ${X11_X11_LIB} )

    install(TARGETS knpplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

endif (KMPLAYER_WITH_NPP)
#kxineplayer
#kgstplayer
#kxvplayer

########### next target ###############

set(kphononplayer_SRCS
  phononplayer.cpp
)

qt4_add_dbus_adaptor(kphononplayer_SRCS org.kde.kmplayer.slave.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/phononplayer.h Slave)
qt4_add_dbus_adaptor(kphononplayer_SRCS org.kde.kmplayer.streamslave.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/phononplayer.h Stream)

kde4_add_executable(kphononplayer ${kphononplayer_SRCS})

target_link_libraries(kphononplayer
  ${KDE4_KDEUI_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${KDE4_PHONON_LIBS}
)

install(TARGETS kphononplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES kmplayerui.rc kmplayerpartui.rc pluginsinfo bookmarks.xml DESTINATION  ${DATA_INSTALL_DIR}/kmplayer)
install(FILES kmplayerrc DESTINATION ${CONFIG_INSTALL_DIR})
#install(FILES kmplayer.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

=== po/ko/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ko ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kmplayer (1:0.11.2c-1) unstable; urgency=low

  * New upstream release:

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 16:41:58 +0300

=== debian/control ===
Source: kmplayer
Section: video
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4), libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
 libgtk2.0-dev, libx11-dev, libxt-dev
Standards-Version: 3.9.1
Homepage: http://kmplayer.kde.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmplayer/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmplayer/trunk/

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Suggests: ffmpeg, vdr, xawtv, konqueror, mplayer
Conflicts: kmplayer-common, kmplayer-plugin
Replaces: kmplayer-common, kmplayer-plugin
Description: media player for KDE
 KMPlayer is a simple frontend for MPlayer/FFMpeg/Phonon.
 .
 Some features:
  * play DVD/VCD movies (from file or url and from a video device)
  * embed inside konqueror (movie is played inside konqueror)
  * embed inside khtml (movie playback inside a html page)
  * Movie recording using mencoder (part of the mplayer package)
  * No video during recording, but you can always open a new window and play it
  * Broadcasting, http streaming, using ffserver/ffmpeg
  * For TV sources, you need v4lctl (part of the xawtv package)

## kmplayer 0.11.3a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
 project(kmplayer)
+
+cmake_policy(VERSION 2.6)
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "2c")
+SET(KMPLAYER_PATCH_VERSION "3a")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")
@@ -12,6 +14,7 @@
 include (MacroLibrary)
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 include_directories( ${KDE4_INCLUDES})
 
 if(NOT WIN32)
@@ -23,11 +26,10 @@
   if (KMPLAYER_BUILT_WITH_CAIRO)
 
     PKGCONFIG(cairo CAIROIncDir CAIROLinkDir CAIROLinkFlags CAIROCflags)
-    PKGCONFIG(pangocairo PANGOIncDir PANGOLinkDir PANGOLinkFlags PANGOCflags)
 
-    if (CAIROCflags AND PANGOCflags)
+    if (CAIROCflags)
         set(KMPLAYER_WITH_CAIRO 1)
-    endif (CAIROCflags AND PANGOCflags)
+    endif (CAIROCflags)
   endif (KMPLAYER_BUILT_WITH_CAIRO)
 
   if (KMPLAYER_BUILT_WITH_NPP)
@@ -61,8 +63,8 @@
 
 add_subdirectory(src)
 add_subdirectory(icons)
-add_subdirectory(doc)
+#add_subdirectory(doc)
 add_subdirectory(data)
 
-include(MacroOptionalAddSubdirectory)
-macro_optional_add_subdirectory(po)
+#include(MacroOptionalAddSubdirectory)
+#macro_optional_add_subdirectory(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 SET(optionalLinkFlags)
 
 IF (KMPLAYER_WITH_CAIRO)
-    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags} ${PANGOCFlags})
-    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags} ${PANGOLinkFlags})
+    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags})
+    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags})
     MESSAGE("have cairo cflags:${optionalCFlags} ldflags:${optionalLinkFlags}")
 endif (KMPLAYER_WITH_CAIRO)
 
@@ -21,6 +21,7 @@
 
 set(libkmplayercommon_SRCS
   kmplayerview.cpp
+  playmodel.cpp
   playlistview.cpp
   kmplayercontrolpanel.cpp
   kmplayerconfig.cpp
@@ -61,11 +62,10 @@
 MESSAGE("extra ${CAIROCflags} ${GLibDBusCflags}  libs ${CAIROLinkFlags} ${GLibDBusLinkFlags}")
 
 SET_TARGET_PROPERTIES(kmplayercommon PROPERTIES COMPILE_FLAGS
-    "${CAIROCflags} ${PANGOCflags} ${GLibDBusCflags}")
+    "${CAIROCflags} ${GLibDBusCflags}")
 
 target_link_libraries(kmplayercommon
   ${CAIROLinkFlags}
-  ${PANGOLinkFlags}
   ${GLibDBusLinkFlags}
   ${KDE4_KPARTS_LIBS}
   ${KDE4_KDEUI_LIBS}
@@ -124,7 +124,7 @@
 
 install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
-install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 #qt4_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)

=== debian/changelog ===
kmplayer (1:0.11.3a-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2011 15:14:54 +1100

## kmplayer 0.11.3b

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "3a")
+SET(KMPLAYER_PATCH_VERSION "3b")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,7 @@
   kmplayer_rp.cpp
   kmplayer_rss.cpp
   kmplayer_atom.cpp
+  kmplayer_opml.cpp
   kmplayer_xspf.cpp
   expression.cpp
   mediaobject.cpp

=== debian/changelog ===
kmplayer (1:0.11.3b-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sun, 19 Feb 2012 09:37:10 +1100

## kmplayer 0.11.3c

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "3b")
+SET(KMPLAYER_PATCH_VERSION "3c")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")
@@ -34,6 +34,7 @@
 
   if (KMPLAYER_BUILT_WITH_NPP)
     PKGCONFIG(dbus-glib-1 GLibDBusIncDir GLibDBusLinkDir GLibDBusLinkFlags GLibDBusCflags)
+    PKGCONFIG(gmodule-2.0 GModuleIncDir GModuleLinkDir GModuleLinkFlags GModuleCflags)
 
     if (GLibDBusCflags)
       set(KMPLAYER_WITH_GDBUS 1)
@@ -63,8 +64,8 @@
 
 add_subdirectory(src)
 add_subdirectory(icons)
-#add_subdirectory(doc)
+add_subdirectory(doc)
 add_subdirectory(data)
 
-#include(MacroOptionalAddSubdirectory)
-#macro_optional_add_subdirectory(po)
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory(po)

=== debian/changelog ===
kmplayer (1:0.11.3c-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 17 Mar 2012 07:39:29 +1100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel --with kde $@

override_dh_install:
	dh_install
	rm -rf debian/kmplayer/usr/share/icons/oxygen/
	chmod +x debian/kmplayer/usr/share/kde4/apps/kmplayer/find-media.sh

.PHONY: override_dh_auto_test

## kmplayer 0.11.3d

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "3c")
+SET(KMPLAYER_PATCH_VERSION "3d")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmplayer)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_subdirectory(bg)
+add_subdirectory(bs)
 add_subdirectory(ca)
 add_subdirectory(ca@valencia)
 add_subdirectory(cs)
@@ -13,10 +14,10 @@
 add_subdirectory(ga)
 add_subdirectory(gl)
 add_subdirectory(hr)
+add_subdirectory(hu)
 add_subdirectory(it)
 add_subdirectory(ja)
 add_subdirectory(km)
-add_subdirectory(ko)
 add_subdirectory(ku)
 add_subdirectory(lt)
 add_subdirectory(lv)
@@ -36,6 +37,7 @@
 add_subdirectory(sv)
 add_subdirectory(th)
 add_subdirectory(tr)
+add_subdirectory(ug)
 add_subdirectory(uk)
 add_subdirectory(zh_CN)
 add_subdirectory(zh_TW)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -125,7 +125,7 @@
 
 install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
-install(PROGRAMS kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 #qt4_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)
 
@@ -138,10 +138,10 @@
     add_executable(knpplayer ${knpplayer_SRCS})
 
     SET_TARGET_PROPERTIES(knpplayer PROPERTIES COMPILE_FLAGS
-        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags}"
+        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags} ${GModuleCflags}"
     )
 
-    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags}
+    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags} ${GModuleLinkFlags}
         ${X11_X11_LIB} )
 
     install(TARGETS knpplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/bs/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(bs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/eo/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(eo ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/es/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/et/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(et ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/fr/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ga/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ga ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hr/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(hr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hu/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kmplayer (1:0.11.3d-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat, 11 May 2013 23:29:11 +1000

kmplayer (1:0.11.3d-1) experimental; urgency=low

  * New upstream release
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sat, 14 Jul 2012 17:51:34 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.3.4), libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
  libgtk2.0-dev, libx11-dev, libxt-dev
 Standards-Version: 3.9.1

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --parallel --with kde $@
+	dh $@ --parallel --with kde
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
opts="uversionmangle=s/-r/~r/" \
  http://kmplayer.kde.org/pkgs/kmplayer-(.*)\.tar\.bz2 debian svn-upgrade

## kmplayer 0.12.0b

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,37 @@
+cmake_minimum_required(VERSION 2.8.12)
 project(kmplayer)
 
 cmake_policy(VERSION 2.6)
 
 SET(KMPLAYER_MAJOR_VERSION "0")
-SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "3d")
+SET(KMPLAYER_MINOR_VERSION "12")
+SET(KMPLAYER_PATCH_VERSION "0b")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")
 
-find_package(KDE4 REQUIRED)
-include (KDE4Defaults)
-include (MacroLibrary)
+find_package(ECM 1.2.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+include(ECMInstallIcons)
+#include(ECMSetupVersion)
+include(FeatureSummary)
+Include(CheckIncludeFiles)
+include(ECMSetupVersion)
+include(FindXCB)
+
+ecm_setup_version(${KMPLAYER_VERSION_STRING} VARIABLE_PREFIX KMPLAYERPRIVATE
+    SOVERSION ${KMPLAYER_MAJOR_VERSION}
+)
+find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Svg X11Extras)
+find_package(KF5 REQUIRED COMPONENTS Config CoreAddons Init I18n KDELibs4Support KIO MediaPlayer Parts WidgetsAddons)
+find_package(X11 REQUIRED)
+find_package(Phonon4Qt5 REQUIRED NO_MODULE)
+
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-include_directories( ${KDE4_INCLUDES})
 
 if(NOT WIN32)
   OPTION(KMPLAYER_BUILT_WITH_CAIRO "Enable Cairo support" ON)
@@ -57,15 +73,17 @@
 
 endif(NOT WIN32)
 
-
 check_include_files(stdint.h HAVE_STDINT_H)
 
 configure_file (config-kmplayer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kmplayer.h )
 
 add_subdirectory(src)
 add_subdirectory(icons)
-add_subdirectory(doc)
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/doc" AND KF5DocTools_VERSION)
+  add_subdirectory(doc)
+endif(KF5DocTools_VERSION)
 add_subdirectory(data)
 
-include(MacroOptionalAddSubdirectory)
-macro_optional_add_subdirectory(po)
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
+  ki18n_install(po)
+endif()

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmplayer)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS 16-apps-kmplayer.png
    32-apps-kmplayer.png
    64-apps-kmplayer.png
    128-apps-kmplayer.png
    22-apps-kmplayer.png
    48-apps-kmplayer.png
    sc-apps-kmplayer.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS_DEBUG "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUG}")
set(CMAKE_CXX_FLAGS_DEBUGFULL "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUGFULL}")
set(CMAKE_CXX_FLAGS_PROFILE "-DDEBUG ${CMAKE_CXX_FLAGS_PROFILE}")

########### next target ###############

SET(optionalCFlags)
SET(optionalLinkFlags)

IF (KMPLAYER_WITH_CAIRO)
    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags})
    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags})
    MESSAGE("have cairo cflags:${optionalCFlags} ldflags:${optionalLinkFlags}")
endif (KMPLAYER_WITH_CAIRO)

add_definitions(-DKMPLAYER_VERSION_STRING="\\\"${KMPLAYER_VERSION_STRING}\\\"")

ADD_DEFINITIONS(${CAIROCFlags})

include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR} ${CAIROIncDir} ${EXPAT_INCLUDE_DIRS})

set(libkmplayercommon_SRCS
  kmplayerview.cpp
  playmodel.cpp
  playlistview.cpp
  kmplayercontrolpanel.cpp
  kmplayerconfig.cpp
  pref.cpp
  kmplayerprocess.cpp
  kmplayerpartbase.cpp
  kmplayerplaylist.cpp
  kmplayer_asx.cpp
  kmplayer_smil.cpp
  kmplayer_rp.cpp
  kmplayer_rss.cpp
  kmplayer_atom.cpp
  kmplayer_opml.cpp
  kmplayer_xspf.cpp
  expression.cpp
  mediaobject.cpp
  triestring.cpp
  surface.cpp
  viewarea.cpp
)

qt5_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.master.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::MasterProcessInfo)
qt5_add_dbus_adaptor(libkmplayercommon_SRCS
    org.kde.kmplayer.streammaster.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::MasterProcess)
qt5_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.part.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerpartbase.h KMPlayer::PartBase)

if (KMPLAYER_WITH_NPP)
    qt5_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.callback.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::NpPlayer)
    qt5_add_dbus_adaptor(libkmplayercommon_SRCS org.kde.kmplayer.stream.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/kmplayerprocess.h KMPlayer::NpStream)
endif (KMPLAYER_WITH_NPP)

add_library(kmplayercommon SHARED ${libkmplayercommon_SRCS})

MESSAGE("extra ${CAIROCflags} ${GLibDBusCflags}  libs ${CAIROLinkFlags} ${GLibDBusLinkFlags}")

SET_TARGET_PROPERTIES(kmplayercommon PROPERTIES COMPILE_FLAGS
    "${CAIROCflags}")

target_link_libraries(kmplayercommon
   LINK_PRIVATE
  ${CAIROLinkFlags}
  KF5::KDELibs4Support
  KF5::Parts
  ${XCB_LIBRARIES}
  ${EXPAT_LIBRARIES}
  KF5::MediaPlayer
  Qt5::Svg
  Qt5::X11Extras
)

install(TARGETS kmplayercommon ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

set(kmplayerpart_SRCS kmplayer_part.cpp)

add_library(kmplayerpart MODULE ${kmplayerpart_SRCS})

target_link_libraries(kmplayerpart
  kmplayercommon
  KF5::MediaPlayer
  KF5::KDELibs4Support
  KF5::Parts
)

install(TARGETS kmplayerpart DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kmplayer_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

########### next target ###############

set(kmplayer_SRCS
  kmplayer.cpp
  kmplayer_lists.cpp
  kmplayertvsource.cpp
)

#kmplayerbroadcast.cpp
#kmplayervdr.cpp

kf5_add_kdeinit_executable(kmplayer ${kmplayer_SRCS} main.cpp)

target_link_libraries(kdeinit_kmplayer
  kmplayercommon
  KF5::MediaPlayer
  KF5::KDELibs4Support
  KF5::Parts
)

target_link_libraries(kmplayer kdeinit_kmplayer)

install(TARGETS kdeinit_kmplayer  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

#qt5_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)

########### next target ###############

if (KMPLAYER_WITH_NPP)
    MESSAGE("build npp")
    set(knpplayer_SRCS npplayer.cpp)

    add_executable(knpplayer ${knpplayer_SRCS})

    SET_TARGET_PROPERTIES(knpplayer PROPERTIES COMPILE_FLAGS
        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags} ${GModuleCflags}"
    )

    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags} ${GModuleLinkFlags}
        ${X11_X11_LIB} )

    install(TARGETS knpplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

endif (KMPLAYER_WITH_NPP)
#kxineplayer
#kgstplayer
#kxvplayer

########### next target ###############

set(kphononplayer_SRCS
  phononplayer.cpp
)

qt5_add_dbus_adaptor(kphononplayer_SRCS org.kde.kmplayer.slave.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/phononplayer.h Slave)
qt5_add_dbus_adaptor(kphononplayer_SRCS org.kde.kmplayer.streamslave.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/phononplayer.h Stream)

add_executable(kphononplayer ${kphononplayer_SRCS})

qt5_use_modules(kphononplayer Core DBus Widgets X11Extras)

target_link_libraries(kphononplayer Phonon::phonon4qt5 ${XCB_LIBRARIES})

install(TARGETS kphononplayer ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES pluginsinfo bookmarks.xml DESTINATION ${DATA_INSTALL_DIR}/kmplayer)
install(FILES kmplayerui.rc kmplayerpartui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kmplayer)
install(FILES kmplayerrc DESTINATION ${CONFIG_INSTALL_DIR})
#install(FILES kmplayer.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

=== po/ca/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ca@valencia/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ca@valencia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/cs/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/da/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/de/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/el/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(el ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/en_GB/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(en_GB ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/gl/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(gl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kmplayer (1:0.12.0b-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 3def65075c09af4961cd399e8e78ed78cca72e65 to fix
    build with Qt 5.9; patch upstream_Fix-build-with-Qt-5.9.patch.
    (Closes: #877499)
  * Bump Standards-Version to 4.1.1, no changes required.
  * Do not ship the upstream TODO file as documentation, since it is not
    useful for users.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Oct 2017 22:42:41 +0200

kmplayer (1:0.12.0b-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #799466)
  * Update watch file to point to download.kde.org.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libqt5x11extras5-dev, libphonon4qt5-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, kinit-dev,
      libkf5kdelibs4support-dev, libkf5kio-dev, libkf5mediaplayer-dev,
      libkf5parts-dev, and libkf5widgetsaddons-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Stop trying to remove oxygen icons, as there are not anymore.
  * Adjust path to find-media.sh.
  * Update the patches:
    - gcc5.diff: drop, fixed upstream
    - upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch:
      drop, backported from upstream
    - upstream_Fix-build-with-cmake-3.4.patch: drop, backported from upstream
  * Replace postinst and postrm that manually invoke ldconfig with an
    invocation of the ldconfig trigger.
  * Link in as-needed mode.
  * Use https in Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 23:54:21 +0200

kmplayer (1:0.11.3d-3) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU, thanks to Matthias Klose.
  * Drop menu file, since kmplayer already provides a .desktop file.
  * Move oxygen icons removal at dh_auto_install phase; same effect as before,
    just more correct.
  * Update Vcs-* headers.
  * Backport upstream commit 4be412db53ce6342103836163c7b809f36d88a03 to add
    missing cmake_minimum_required() in buildsystem; patch
    upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch
    (Closes: #805206)
  * Backport upstream commit 53cb0b47026d12ae3428805348ea64db81837ded to fix
    build with cmake >= 3.4; patch upstream_Fix-build-with-cmake-3.4.patch.
  * Remove obsolete and unused not-installed file.
  * Remove unused kmplayer.1.docbook file.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2016 18:46:18 +0100

kmplayer (1:0.11.3d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5. Closes: #777928.
  * Fix build on AArch64. Closes: #770966.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2015 18:08:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,27 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev (>= 4:4.3.4), libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
+ extra-cmake-modules,
+ qtbase5-dev,
+ libqt5svg5-dev,
+ libqt5x11extras5-dev,
+ libphonon4qt5-dev,
+ libkf5config-dev,
+ libkf5coreaddons-dev,
+ libkf5i18n-dev,
+ kinit-dev,
+ libkf5kdelibs4support-dev,
+ libkf5kio-dev,
+ libkf5mediaplayer-dev,
+ libkf5parts-dev,
+ libkf5widgetsaddons-dev,
+ libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
  libgtk2.0-dev, libx11-dev, libxt-dev
-Standards-Version: 3.9.1
+Standards-Version: 4.1.1
 Homepage: http://kmplayer.kde.org
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmplayer/?op=log
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmplayer/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmplayer/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kmplayer/trunk/
 
 Package: kmplayer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_install:
	dh_install
	chmod +x debian/kmplayer/usr/share/kmplayer/find-media.sh

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
https://download.kde.org/stable/kmplayer/([\d\.]+)/kmplayer-(.+)\.tar\.(?:bz2|xz) debian svn-upgrade

## kmplayer 0.12.0b+de96d9e

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kmplayer)

SET(KMPLAYER_MAJOR_VERSION "0")
SET(KMPLAYER_MINOR_VERSION "12")
SET(KMPLAYER_PATCH_VERSION "0b")

SET(KMPLAYER_VERSION_STRING
    "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.80.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(FeatureSummary)
include(FindXCB)

ecm_setup_version(${KMPLAYER_VERSION_STRING} VARIABLE_PREFIX KMPLAYERPRIVATE
    SOVERSION ${KMPLAYER_MAJOR_VERSION}
)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg X11Extras)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DocTools
    IconThemes
    Init
    I18n
    KIO
    MediaPlayer
    Parts
    WidgetsAddons
)
find_package(X11 REQUIRED)
find_package(Phonon4Qt5 REQUIRED NO_MODULE)

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050000
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x050000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

if(NOT WIN32)
  OPTION(KMPLAYER_BUILT_WITH_CAIRO "Enable Cairo support" ON)
  OPTION(KMPLAYER_BUILT_WITH_NPP "Build NPP player" ON)
  OPTION(KMPLAYER_BUILT_WITH_EXPAT "Use expat XML parser" OFF)
  include(FindPkgConfig)

  if (KMPLAYER_BUILT_WITH_CAIRO)

    pkg_check_modules(CAIRO cairo)

    if(CAIRO_FOUND)
        set(KMPLAYER_WITH_CAIRO 1)
    endif()
  endif (KMPLAYER_BUILT_WITH_CAIRO)

  if (KMPLAYER_BUILT_WITH_NPP)
    pkg_check_modules(GLibDBus dbus-glib-1)
    pkg_check_modules(GModule gmodule-2.0)

    if(GLibDBus_FOUND)
      set(KMPLAYER_WITH_GDBUS 1)
      pkg_check_modules(GTK gtk+-x11-2.0)
      pkg_check_modules(GThread gthread-2.0)
      if (GTK_FOUND)
          set(KMPLAYER_WITH_NPP 1)
      endif()
    endif()
  endif (KMPLAYER_BUILT_WITH_NPP)

  if (KMPLAYER_BUILT_WITH_EXPAT)
      INCLUDE(FindEXPAT)
      if (EXPAT_FOUND)
          set(KMPLAYER_WITH_EXPAT 1)
      else (EXPAT_FOUND)
          MESSAGE(Expat found)
      endif (EXPAT_FOUND)
  endif (KMPLAYER_BUILT_WITH_EXPAT)

endif(NOT WIN32)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(data)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install(FILES blip-api.xsl find-media.sh shoutcast.xsl youtube.xsl DESTINATION  ${DATA_INSTALL_DIR}/kmplayer)
install(FILES find-media.xml shoutcast.xml youtube-query.xml blip-tv.xml DESTINATION  ${DATA_INSTALL_DIR}/kmplayer/generators)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kmplayer)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS_DEBUG "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUG}")
set(CMAKE_CXX_FLAGS_DEBUGFULL "-DDEBUG ${CMAKE_CXX_FLAGS_DEBUGFULL}")
set(CMAKE_CXX_FLAGS_PROFILE "-DDEBUG ${CMAKE_CXX_FLAGS_PROFILE}")

configure_file(config-kmplayer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kmplayer.h)

add_subdirectory(lib)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(backends)

ecm_qt_install_logging_categories(
    EXPORT KMPLAYER
    FILE kmplayer.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/app/CMakeLists.txt ===
kf5_add_kdeinit_executable(kmplayer)

target_sources(kdeinit_kmplayer PRIVATE
    kmplayer.cpp
    kmplayer_lists.cpp
    kmplayertvsource.cpp
#kmplayerbroadcast.cpp
#kmplayervdr.cpp
    main.cpp

    kmplayer.qrc
)

ecm_qt_declare_logging_category(kdeinit_kmplayer
    HEADER kmplayerapp_log.h
    IDENTIFIER LOG_KMPLAYER_APP
    CATEGORY_NAME kmplayer.app
    DESCRIPTION "KMPlayer App"
    EXPORT KMPLAYER
)

target_compile_definitions(kdeinit_kmplayer PRIVATE
    -DKMPLAYER_VERSION_STRING="\\\"${KMPLAYER_VERSION_STRING}\\\""
)

target_link_libraries(kdeinit_kmplayer
    kmplayercommon
    KF5::IconThemes
    Qt5::X11Extras
)

install(TARGETS kdeinit_kmplayer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(TARGETS kmplayer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES org.kde.kmplayer.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kmplayer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kmplayerrc DESTINATION ${KDE_INSTALL_CONFDIR})
#install(FILES kmplayer.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

#qt5_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)

=== src/backends/CMakeLists.txt ===
#add_subdirectory(gst)

add_subdirectory(phonon)

if (KMPLAYER_WITH_NPP)
add_subdirectory(npp)
endif()

#add_subdirectory(xine)
#add_subdirectory(xvp)

=== src/lib/CMakeLists.txt ===
add_library(kmplayercommon SHARED)

target_compile_definitions(kmplayercommon PRIVATE -DTRANSLATION_DOMAIN=\"kmplayer\")

target_sources(kmplayercommon PRIVATE
    kmplayerview.cpp
    playmodel.cpp
    playlistview.cpp
    kmplayercontrolpanel.cpp
    kmplayerconfig.cpp
    pref.cpp
    kmplayerprocess.cpp
    kmplayerpartbase.cpp
    kmplayerplaylist.cpp
    kmplayer_asx.cpp
    kmplayer_smil.cpp
    kmplayer_rp.cpp
    kmplayer_rss.cpp
    kmplayer_atom.cpp
    kmplayer_opml.cpp
    kmplayer_xspf.cpp
    expression.cpp
    mediaobject.cpp
    triestring.cpp
    surface.cpp
    viewarea.cpp
)

ecm_qt_declare_logging_category(kmplayercommon
    HEADER kmplayercommon_log.h
    IDENTIFIER LOG_KMPLAYER_COMMON
    CATEGORY_NAME kmplayer.common
    DESCRIPTION "KMPlayer Common lib"
    EXPORT KMPLAYER
)

set(libkmplayercommon_dbus_SRCS)
qt5_add_dbus_adaptor(libkmplayercommon_dbus_SRCS
    org.kde.kmplayer.master.xml
    kmplayerprocess.h KMPlayer::MasterProcessInfo
)
qt5_add_dbus_adaptor(libkmplayercommon_dbus_SRCS
    org.kde.kmplayer.streammaster.xml
    kmplayerprocess.h KMPlayer::MasterProcess
)
qt5_add_dbus_adaptor(libkmplayercommon_dbus_SRCS
    org.kde.kmplayer.part.xml
    kmplayerpartbase.h KMPlayer::PartBase
)

if (KMPLAYER_WITH_NPP)
    qt5_add_dbus_adaptor(libkmplayercommon_dbus_SRCS
        org.kde.kmplayer.callback.xml
        kmplayerprocess.h KMPlayer::NpPlayer
    )
    qt5_add_dbus_adaptor(libkmplayercommon_dbus_SRCS
        org.kde.kmplayer.stream.xml
        kmplayerprocess.h KMPlayer::NpStream
    )
endif ()

set_source_files_properties(org.freedesktop.PowerManagement.Inhibit.xml
    PROPERTIES NO_NAMESPACE TRUE
)
qt5_add_dbus_interfaces(libkmplayercommon_dbus_SRCS org.freedesktop.PowerManagement.Inhibit.xml)

target_sources(kmplayercommon PRIVATE
    ${libkmplayercommon_dbus_SRCS}
)

generate_export_header(kmplayercommon)

target_include_directories(kmplayercommon
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>" # config file
    PRIVATE
        ${CAIRO_INCLUDE_DIRS}
        ${EXPAT_INCLUDE_DIRS}
)
target_link_libraries(kmplayercommon
    PUBLIC
        KF5::MediaPlayer
    PRIVATE
        KF5::IconThemes
        KF5::Bookmarks
        Qt5::Svg
        Qt5::X11Extras
        ${CAIRO_LIBRARIES}
        ${XCB_LIBRARIES}
        ${EXPAT_LIBRARIES}
)

install(TARGETS kmplayercommon ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES bookmarks.xml DESTINATION ${KDE_INSTALL_DATADIR}/kmplayer)

=== src/part/CMakeLists.txt ===
configure_file(kmplayer_part.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/kmplayer_part.desktop @ONLY)

add_library(kmplayerpart MODULE)

target_compile_definitions(kmplayerpart PRIVATE
    -DTRANSLATION_DOMAIN=\"kmplayer\"
    -DKMPLAYER_VERSION_STRING="\\\"${KMPLAYER_VERSION_STRING}\\\""
)

target_sources(kmplayerpart PRIVATE
    kmplayer_part.cpp
    kmplayer_part.qrc
)

ecm_qt_declare_logging_category(kmplayerpart
    HEADER kmplayerpart_log.h
    IDENTIFIER LOG_KMPLAYER_PART
    CATEGORY_NAME kmplayer.kpart
    DESCRIPTION "KMPlayer KPart"
    EXPORT KMPLAYER
)

kcoreaddons_desktop_to_json(kmplayerpart ${CMAKE_CURRENT_BINARY_DIR}/kmplayer_part.desktop)

target_link_libraries(kmplayerpart
    kmplayercommon
    KF5::IconThemes
)

install(TARGETS kmplayerpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmplayer_part.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR})
install(FILES pluginsinfo DESTINATION ${KDE_INSTALL_DATADIR}/kmplayer)

=== src/backends/npp/CMakeLists.txt ===
add_executable(knpplayer)

target_include_directories(knpplayer PRIVATE
    ${GLibDBus_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${GThread_INCLUDE_DIRS}
    ${GModule_INCLUDE_DIRS}
)

target_sources(knpplayer PRIVATE
    npplayer.cpp
)

target_link_libraries(knpplayer
    ${GLibDBus_LIBRARIES}
    ${GTK_LIBRARIES}
    ${GThread_LIBRARIES}
    ${GModule_LIBRARIES}
    ${X11_X11_LIB}
)

install(TARGETS knpplayer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/backends/phonon/CMakeLists.txt ===
add_executable(kphononplayer)

set(kphononplayer_dbus_SRCS)
qt5_add_dbus_adaptor(kphononplayer_dbus_SRCS
    ${CMAKE_SOURCE_DIR}/src/lib/org.kde.kmplayer.agent.xml
    phononplayer.h Agent
)
qt5_add_dbus_adaptor(kphononplayer_dbus_SRCS
    ${CMAKE_SOURCE_DIR}/src/lib/org.kde.kmplayer.streamagent.xml
    phononplayer.h Stream
)

target_sources(kphononplayer PRIVATE
    phononplayer.cpp
    ${kphononplayer_dbus_SRCS}
)

target_link_libraries(kphononplayer
    Phonon::phonon4qt5
    ${XCB_LIBRARIES}
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    Qt5::X11Extras
)

install(TARGETS kphononplayer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kmplayer (1:0.12.0b+de96d9e-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:12:19 +1100

kmplayer (1:0.12.0b+de96d9e-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:09:08 +0000

kmplayer (1:0.12.0b+de96d9e-1) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Add Rules-Requires-Root: no.
  * Rename docs to kmplayer.docs to make it clear to which package it refers.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Move the fixup up the permissions of find-media.sh after dh_auto_install,
    rather than dh_install: since there is a single binary package, everything
    is installed in the right location, so dh_install does nothing.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.80.0
    - add libkf5iconthemes-dev
    - explicitly add gettext
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop unused dh_auto_test override, as there are no tests to run.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Sep 2023 07:45:03 +0200

kmplayer (1:0.12.0b+de96d9e-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends: libkf5doctools-dev. (Closes: #1035772)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 21:13:32 +0000

kmplayer (1:0.12.0b+de96d9e-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import current git version.

  [ Simon McVittie ]
  * Don't build knpplayer. (Closes: #967558, #999459, #997118)
  * Depend on default-dbus-session-bus | dbus-session-bus (Closes: #836103)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 17:36:49 +0000

kmplayer (1:0.12.0b-3) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove trailing whitespaces in changelog.
  * Remove empty line at the end of changelog.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879353)
  * Bump Standards-Version to 4.2.1, no changes required.
  * Stop using the svn-buildpackage bits in the watch file.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Nov 2018 19:28:47 +0100

=== debian/control ===
Source: kmplayer
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.16~),
 dh-sequence-kf5,
 gettext,
 extra-cmake-modules (>= 5.80.0~),
 qtbase5-dev (>= 5.15.0~),
 libqt5svg5-dev (>= 5.15.0~),
 libqt5x11extras5-dev (>= 5.15.0~),
 libphonon4qt5-dev,
 libkf5config-dev (>= 5.80.0~),
 libkf5coreaddons-dev (>= 5.80.0~),
 libkf5doctools-dev (>= 5.80.0~),
 libkf5i18n-dev (>= 5.80.0~),
 libkf5iconthemes-dev (>= 5.80.0~),
 kinit-dev (>= 5.80.0~),
 libkf5kio-dev (>= 5.80.0~),
 libkf5mediaplayer-dev (>= 5.80.0~),
 libkf5parts-dev (>= 5.80.0~),
 libkf5widgetsaddons-dev (>= 5.80.0~),
 libcairo2-dev,
 libx11-dev, libxt-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kmplayer.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kmplayer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kmplayer.git

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-dbus-session-bus | dbus-session-bus
Suggests: ffmpeg, vdr, xawtv, konqueror, mplayer
Conflicts: kmplayer-common, kmplayer-plugin
Replaces: kmplayer-common, kmplayer-plugin
Description: media player for KDE
 KMPlayer is a simple frontend for MPlayer/FFMpeg/Phonon.
 .
 Some features:
  * play DVD/VCD movies (from file or url and from a video device)
  * embed inside konqueror (movie is played inside konqueror)
  * embed inside khtml (movie playback inside a html page)
  * Movie recording using mencoder (part of the mplayer package)
  * No video during recording, but you can always open a new window and play it
  * Broadcasting, http streaming, using ffserver/ffmpeg
  * For TV sources, you need v4lctl (part of the xawtv package)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKMPLAYER_BUILT_WITH_NPP=OFF

execute_after_dh_auto_install:
	chmod +x debian/kmplayer/usr/share/kmplayer/find-media.sh
